/*
 * Copyright © 2013 Intel Corporation
 *
 * Authors: Rodrigo Moya <rodrigo.moya@collabora.co.uk>
 *          Vivek Dasmohapatra <vivek.dasmohapatra@collabora.co.uk>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "config.h"
#include "utils.h"

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>

int
main (int argc, char **argv)
{
  Distribution *distro = NULL;
  Configuration *config = NULL;
  gchar *conf_src = argv[1];
  gchar *conf_dest = NULL;

  distro = get_distro_information ();

  if (distro)
    {
      printf("Distribution:\n"
             "{\n"
             "    distributor: '%s'\n"
             "    release    : '%s'\n"
             "    codename   : '%s'\n"
             "    config-id  : [%s %s]\n"
             "}\n",
             distro->distributor,
             distro->release,
             distro->codename,
             distro->distributor,
             distro->codename);

      config = get_configuration (NULL, NULL);

      if (!config)
        {
          printf("Config not found at " CONFIG_URI "\n");
          exit(1);
        }
    }
  else
    {
      printf("ERROR: No distro information (!)\n");
      exit(1);
    }
}
