/*
 * Copyright © 2012-2013 Intel Corporation
 *
 * Authors: Rodrigo Moya <rodrigo.moya@collabora.co.uk>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _DRIVER_MANAGER_APP_H_
#define _DRIVER_MANAGER_APP_H_

#include <glib-object.h>
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define TYPE_DRIVER_MANAGER_APP                (driver_manager_app_get_type ())
#define DRIVER_MANAGER_APP(obj)                (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DRIVER_MANAGER_APP, DriverManagerApp))
#define IS_DRIVER_MANAGER_APP(obj)             (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DRIVER_MANAGER_APP))
#define DRIVER_MANAGER_APP_CLASS(klass)        (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DRIVER_MANAGER_APP, DriverManagerAppClass))
#define IS_DRIVER_MANAGER_APP_CLASS(klass)     (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DRIVER_MANAGER_APP))
#define DRIVER_MANAGER_APP_GET_CLASS(obj)      (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DRIVER_MANAGER_APP, DriverManagerAppClass))

typedef struct _DriverManagerAppPrivate DriverManagerAppPrivate;

typedef struct {
  GtkApplication parent;

  DriverManagerAppPrivate *priv;
} DriverManagerApp;

typedef struct {
  GtkApplicationClass parent_class;
} DriverManagerAppClass;

GType           driver_manager_app_get_type (void);

GtkApplication *driver_manager_app_new (void);

void driver_manager_app_progress (DriverManagerApp *app,
                                  const gchar *action,
                                  const gchar *msg,
                                  gint percent,
                                  gboolean spin);

G_END_DECLS

#endif
