/*
 * Copyright © 2012-2013 Intel Corporation
 *
 * Authors: Rodrigo Moya <rodrigo.moya@collabora.co.uk>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _PACKAGE_MANAGER_UBUNTU_H_
#define _PACKAGE_MANAGER_UBUNTU_H_

#include "package-manager.h"

G_BEGIN_DECLS

#define TYPE_PACKAGE_MANAGER_UBUNTU                (package_manager_ubuntu_get_type ())
#define PACKAGE_MANAGER_UBUNTU(obj)                (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_PACKAGE_MANAGER_UBUNTU, PackageManagerUbuntu))
#define IS_PACKAGE_MANAGER_UBUNTU(obj)             (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_PACKAGE_MANAGER_UBUNTU))
#define PACKAGE_MANAGER_UBUNTU_CLASS(klass)        (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_PACKAGE_MANAGER_UBUNTU, PackageManagerUbuntuClass))
#define IS_PACKAGE_MANAGER_UBUNTU_CLASS(klass)     (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_PACKAGE_MANAGER_UBUNTU))
#define PACKAGE_MANAGER_UBUNTU_GET_CLASS(obj)      (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_PACKAGE_MANAGER_UBUNTU, PackageManagerUbuntuClass))

typedef struct _PackageManagerUbuntuPrivate PackageManagerUbuntuPrivate;

typedef struct {
  PackageManager parent;

  PackageManagerUbuntuPrivate *priv;
} PackageManagerUbuntu;

typedef struct {
  PackageManagerClass parent_class;
} PackageManagerUbuntuClass;

GType           package_manager_ubuntu_get_type (void);

PackageManager *package_manager_ubuntu_new (void);

G_END_DECLS

#endif
